/*
 *  Copyright 2008 Mikhail Kryshen
 *
 *  This file is part of Charamega.
 *
 *  Charamega is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Charamega is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Charamega.  If not, see <http://www.gnu.org/licenses/>.
 */

package kryshen.charamega;

import javafx.ui.*;

/**
 * Color and font definitions.
 */
class Style {
    static attribute TITLE_FONT = 
        Font {
            face: FontFace.SERIF            
            style: FontStyle.BOLD
            size: 26
        };
    
    static attribute STATUS_FONT = 
        Font {
            face: FontFace.SANSSERIF
            style: FontStyle.BOLD
            size: 16
        };

    static attribute LOSE_STATUS_COLOR = Color.RED;
    static attribute WIN_STATUS_COLOR = Color.GREEN;
       
    static attribute FIELD_BACKGROUND = Color.WHITE;
    
    static attribute CARD_FACE_COLOR = Color.WHITE;
    static attribute CARD_BACK_COLOR = Color.LIGHTGREY;
    static attribute CARD_CHAR_COLOR = Color.BLACK;
    static attribute CARD_BORDER_COLOR = Color.GREY;
    static attribute CARD_SELECTED_BORDER_COLOR = Color.RED;

    static attribute MAIN_BORDER = 
        EmptyBorder {
            top: 10
            left: 10
            right: 10
            bottom: 10
        }    

    static attribute TITLE_BORDER = 
        EmptyBorder {
            bottom: 5
        }

    static attribute FIELD_BORDER = ShadowedBorder {}

    static attribute ABOUT_BORDER = 
        EmptyBorder {
            top: 5
            left: 5
            right: 5
            bottom: 5
        }
 
    static attribute STATUS_BORDER = 
        EmptyBorder {
            top: 7
            left: 0
            right: 0
            bottom: 0
        }
}
